API DocumentationManufacturer document controller

Generate shipment invoice document

GET
/api/manufacturer/v1/document/{orderId}/shipments/{shipmentId}/invoice

Generates a PDF document using an invoice template for the parts allocated to a shipment

Authorization

Phasio API Bearer Token
AuthorizationBearer <token>

In: header

Path Parameters

orderId*integer

ID of the order

shipmentId*string

ID of the shipment

Query Parameters

templateId*integer

ID of the invoice template

Response Body

application/pdf

application/json

application/json

application/json

curl -X GET "https://example.com/api/manufacturer/v1/document/1/shipments/497f6eca-6276-4993-bfeb-53cbbbba6f08/invoice?templateId=42"
Empty
{  "error": "ORDER_NOT_FOUND",  "message": "Order not found"}
{  "error": "ORDER_NOT_FOUND",  "message": "Order not found"}
{  "error": "ORDER_NOT_FOUND",  "message": "Order not found"}